###########//// Start of User-Defined Variables Section \\\\############

# IMPORTANT. If you want the script output to rank well in search engines
# use Server Side Includes to 'wrap' it so that it looks
# like a stand-alone HTML page. ALSO, do not have any mention of the
# word 'links' in the page, or in hyperlinks to it. 

######################## Required Form Fields ###############################

@required = ('url','email','reciprocal_link','text');

############################## File Locking ############################

# Does your system have file locking ('flock')?  This stops your data 
# files getting corrupted when to different users try to save to the 
# same file simultaneously.  If it does, change the following value to
# 1, e.g. $lockit = 1;. If you're on a Windows server, set it to 0.

$lockit = 1;

##################### Locations #############################

# Path to mail program.
# Examples: 
# $mailprog = '/usr/bin/sendmail';
# $mailprog = '/usr/sbin/sendmail';

$mailprog = '/usr/lib/sendmail';

# Full URL of this script  :
$cgi_url = 'http://www.tigertom.com/cgi-bin/ffs/ffs.cgi';

# Page to re-direct them to when they've posted the link.
# This should be the FFS page itself.
$thanks_url = "http://www.tigertom.com/ffs/ffs.shtml";

# Absolute path to the files used by the script.
# NO trailing forward-slash here!!:
$path_to_data_files = "/user/yourserver/absolute/path_to/cgi-bin/ffs";

# Name of the link data file
$data_file = "ffs_link.dat";

# Name of the IP file
$ip_file = "ffs_ip.dat";

# Absolute path to header text (html) of pages this script may need 
# to throw up :

$header = '/user/yourserver/absolute/path_to/ffs/header.html';

# Absolute path to footer text (html) of pages this script may 
# need to throw up :

$footer = '/user/yourserver/absolute/path_to/ffs/footer.html';


## Font face
$font = "Verdana, Arial";

######################### OTHER ###############################

# The domain name that webmasters should have a link
# to on their web site before they can link to yours

$my_domain = 'tigertom.com';

# You can further alter the appearance of your web page by
# finding the sub-routines 'output_page' in 'tigertom_lib.cgi', and
# 'output_links_page' in 'ffs_config.cgi'
# and editing them carefully.

# Please retain the link to tigertom.com in your footer page.

######################## Email Configuration ###############################

# Email address that the script may send hack alerts etc. to, and the
# name and adress emails will be FROM. Comment-out the @ sign in email
# addreses

$sender_name  = "TigerTom";
$sender_email = "script\@tigertom.com";

# The general subject of your emails, and title of any pages 
# this script may need to throw up. The script will insert
# more explicit ones as the need arises.

$subject = "TigerTom FFS Links Page - Status";

# Default page title
$title = "TigerTom\'s Friends Page.";

# Default message text
$message = "Post a link if you have already linked to this domain.";

########## Bad Words ##########

# Array of bad words. You can break the line if you do
# so on a comma, as shown here. Add or delete words as you please,
# as long as you keep to the format here.

@bad_words = ('shit','fuck','cunt','arse','bastard','wank','gay','nigger',
	      'nigga','whore','xxx','hardcore','fisting','viagra','mlm','pussy',
	      'asshole','arsehole','warez','cracks','crackz','thumbs',
	      'sexy','sluts');

#### Allow dynamically generated links?
# Do you want to allow links containing a question mark?
# Links like these tend to be on dynamically-generated web pages, and
# are much less likely to be indexed by search-engines. This will make them
# worthless in garnering link-popularity for your web site.
# Set the next value to 1 or 0 if the answer is no or yes

$no_databases = 1;

################################ Security ######################################

# Extra security - this line defines what directories programs 
# can be executed from, on your server, by this script. You may need
# to fiddle with this if your programs are in different directories, 
# like 'opt', but it should be fine:

$ENV{'PATH'} = 'opt/bin:/usr/lib:/bin:/usr/bin:/usr/local/bin:/usr/sbin';

# Valid method
$valid_method = "POST";

# Maximum length of any value (stops attempts to overload the script/server):
$legit_length = "300";

# Maximum length of link text
$max_link_text_length = "60";

# List the URLs that are allowed to call this script, 
# to stop other sites calling it.  
# Example: @valid_urls = ('66.33.65.177','tigertom.com','theproduct.co.uk');
# NOTE: You may 'break' an array like this, if you break it on a comma, as below.

@valid_urls = ('internet-marketing-consultant.com','66.33.65.177','tigertom.com',
                 'sundesignco.com','netwebcities.com');

############################################################################

# Leave this alone:
1;

